/* $Id: virtual.h,v 1.12 2004/05/13 23:32:49 mikpe Exp $
 * Virtual per-process performance counters.
 *
 * Copyright (C) 1999-2004  Mikael Pettersson
 */

#ifdef CONFIG_PERFCTR_VIRTUAL
extern int sys_vperfctr(unsigned int cmd, int fd, unsigned long arg);
extern int vperfctr_attach(int, int);
extern int vperfctr_init(void);
extern void vperfctr_exit(void);
#else
static inline int sys_vperfctr(unsigned int cmd, int fd, unsigned long arg)
{
	return -EINVAL;
}
static inline int vperfctr_attach(int tid, int creat) { return -EINVAL; }
static inline int vperfctr_init(void) { return 0; }
static inline void vperfctr_exit(void) { }
#endif
