/* $Id: marshal.h,v 1.2 2004/05/13 23:35:27 mikpe Exp $
 * Performance-monitoring counters driver.
 * Structure marshalling support, user-level declarations.
 *
 * Copyright (C) 2003-2004  Mikael Pettersson
 */

#include "marshal_core.h"

int perfctr_sys_w(int fd, unsigned int cmd, const void *arg,
		  const struct perfctr_struct_desc *sdesc);

int perfctr_sys_r(int fd, unsigned int cmd, void *res,
		  const struct perfctr_struct_desc *sdesc);

int perfctr_sys_wr(int fd, unsigned int cmd, void *argres,
		   const struct perfctr_struct_desc *arg_sdesc,
		   const struct perfctr_struct_desc *res_sdesc);
